# draugr.torch_utilities.datasets.supervised.supervised_dataset.SupervisedDataset

class draugr.torch_utilities.datasets.supervised.supervised_dataset.SupervisedDataset

  Bases: `Dataset`

  Supervised Dataset is comprised of separate Splits

  __init__()

  Methods

  `__init__`() |

  Attributes

  `predictor_shape` | description
  `response_shape` | description
  `split_names` | return: :rtype:

  abstract property predictor_shape: Tuple [ int , ...]

    description

  abstract property response_shape: Tuple [ int , ...]

    description

  property split_names: Dict [ SplitEnum , str ]

    return: :rtype: